Subject: Re: What's cooking in git.git (Jan 2022, #03; Thu, 13)

From: Junio C Hamano <[email-masked]>
Date: Fri, 14 Jan 2022 14:18:12 -0800

Junio C Hamano <[email-masked]> writes:

> Elijah Newren <[email-masked]> writes:
>
>> In contrast, if we leave the leak-checker failing and the failing job
>> spreads to next and master,...

In any case, I think Ævar identified an offending topic, so I kicked
it out from 'seen'.  If it makes the leak-checker job pass, that
would be a much better outcome than anything else we have been
discussing on this thread so far, and we'd hopefully set a good
precedent to follow.  (1) if your change adds a new leak, you'll not
hit 'next', (2) as an exception, if new test added by you use a tool
that wasn't used in it, and if the test is known to be leaky, it is
OK to mark the test leak-checker-unclean.

Let's see how well the rest of the topics do.